| Home | Libraries | People | FAQ | More

## Struct empty_env

boost::proto::empty_env — The type of an object that represents a transform environment with no key/value pairs in it.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    struct empty_env {

      // public member functions
      proto::key_not_found operator[](unspecified) const;
    };

## Description

### `empty_env` public member functions

1.     proto::key_not_found operator[](unspecified) const;

   The type of the argument to this function has a user-defined implicit conversion from any type.